%global __requires_exclude pear\\(vendor/autoload.php\\)|pear\\(xmlapi.php\\)
## pear(xmlapi.php) may need to be packaged, but for the time being a bug has been filed

# Paths. Do not include trailing slash
%global roundcube %{_datadir}/roundcubemail
%global roundcube_plugins %{roundcube}/plugins
%global roundcube_conf %{_sysconfdir}/roundcubemail
%global roundcube_log %{_logdir}/roundcubemail
%global roundcube_lib %{_localstatedir}/lib/roundcubemail

# disable python byte compiler
%global _python_bytecompile_extra 0
# skip dependancy
%define __requires_exclude TinyCPConnector.php 

Name:		roundcubemail
Version:	1.6.8
Release:	%mkrel 1
Summary:	Round Cube Webmail is a browser-based multilingual IMAP client
Group:		System/Servers
License:	GPLv3
# Use the -dep tarballs. These use system copies of the PHP stuff
# rather than including them, which is better for our purposes.
# - AdamW 2007/07
URL:		https://www.roundcube.net/
Source0:	https://github.com/roundcube/roundcubemail/releases/download/%{version}/%{name}-%{version}-complete.tar.gz
Source1:        roundcubemail.conf
Source2:	roundcubemail.logrotate
Source3:	roundcubemail-README.mageia
Patch1:		py2-fix.patch
Epoch:		1
Requires:	php-webinterface
Requires: php-curl
Requires: php-dom
Requires: php-fileinfo
Requires: php-filter
Requires: php-gd
Requires: php-hash
Requires: php-iconv
Requires: php-intl
Requires: php-json
Requires: php-ldap
Requires: php-mbstring
Requires: php-openssl
Requires: php-pcre
Requires: php-pdo
Requires: php-session
Requires: php-simplexml
Requires: php-sockets
Requires: php-xml
Requires: php-pear            >= 1.10.1
Requires: php-pear-Auth_SASL  >= 1.1.0
Requires: php-pear-Console_CommandLine
Requires: php-pear-Crypt_GPG  >= 1.6.0
Requires: php-pear-Net_Socket >= 1.2.1
Requires: php-pear-Mail_Mime  >= 1.10.0
Requires: php-pear-Net_SMTP   >= 1.7.1
Requires: php-pear-Net_Sieve  >= 1.4.0
Requires: php-pear-Net_LDAP2  >= 2.2.0
Requires(pre):	php-pear >= 1.9.0
Requires: php-exif
Suggests: php-zip
Suggests: php-enchant
Provides:	roundcubemail-skin-larry
Provides:	roundcubemail-skin-classic
Provides:	roundcubemail-plugin-jqueryui
Provides:	roundcubemail-plugin-acl 
BuildArch:	noarch
BuildRequires:	mercurial

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an 
application-like user interface. It provides full functionality you 
expect from an e-mail client, including MIME support, address book, 
folder manipulation, message searching and spell checking.
RoundCube Webmail is written in PHP and requires a database: MariaDB,
PostgreSQL and SQLite are known to work.
The user interface is fully skinnable using XHTML and CSS 2.

%prep
%autosetup -S hg

find . -type f -name \.htaccess -print | xargs rm -f
find . -type f -name '*.orig' -print | xargs rm -f

# Wipe bbcode plugin from bundled TinyMCE to make doubleplus sure we cannot
# be vulnerable to CVE-2012-4230, unaddressed upstream
echo "CVE-2012-4230: removing tinymce bbcode plugin, check path if this fails."
test -d program/js/*mce/plugins/bbcode && rm -rf program/js/*mce/plugins/bbcode || exit 1

%build

%install
install -d %{buildroot}%{roundcube}
cp -pr ./* %{buildroot}%{roundcube}

mkdir -p %{buildroot}%{_webappconfdir}
cp -pr %SOURCE1 %{buildroot}%{_webappconfdir}


mkdir -p %{buildroot}%{roundcube_conf}
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -pr %SOURCE2 %{buildroot}%{_sysconfdir}/logrotate.d/roundcubemail

mkdir -p %{buildroot}%{roundcube_lib}/plugins/enigma
mkdir -p %{buildroot}%{roundcube_log}

# use dist files as config files
mv %{buildroot}%{roundcube}/config/config.inc.php.sample \
    %{buildroot}%{roundcube_conf}/config.inc.php
mv %{buildroot}%{roundcube}/config/defaults.inc.php \
    %{buildroot}%{roundcube_conf}/defaults.inc.php
# keep any other config files too
mv %{buildroot}%{roundcube}/config/* %{buildroot}%{roundcube_conf}/
rm -rf %{buildroot}%{roundcube}/config
rm -rf %{buildroot}%{roundcube}/logs
rm -rf %{buildroot}%{roundcube}/temp

pushd %{buildroot}%{roundcube}
ln -s ../../..%{roundcube_conf} config
ln -s ../../..%{roundcube_log} logs
ln -s ../../..%{roundcube_lib} temp
popd

# Enigma
mv %{buildroot}%{roundcube_plugins}/enigma/config.inc.php.dist %{buildroot}%{roundcube_conf}/enigma.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/enigma/{config.inc.php,tests}
pushd %{buildroot}%{roundcube_plugins}/enigma
ln -s ../../../../..%{roundcube_conf}/enigma.inc.php config.inc.php
rm -rf home/
ln -s ../../../../..%{roundcube_lib}/plugins/enigma/ home
popd
mkdir -p %{buildroot}%{roundcube_lib}/plugins/enigma

# ACL plugin
mv %{buildroot}%{roundcube_plugins}/acl/config.inc.php.dist %{buildroot}%{roundcube_conf}/acl.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/acl/{config.inc.php,tests}
pushd %{buildroot}%{roundcube_plugins}/acl/
ln -s ../../../../..%{roundcube_conf}/acl.inc.php config.inc.php
popd

# Managesieve plugin
mv %{buildroot}%{roundcube_plugins}/managesieve/config.inc.php.dist %{buildroot}%{roundcube_conf}/managesieve.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/managesieve/tests
pushd %{buildroot}%{roundcube_plugins}/managesieve/
ln -s ../../../../..%{roundcube_conf}/managesieve.inc.php config.inc.php
popd

# Password plugin
mv %{buildroot}%{roundcube_plugins}/password/config.inc.php.dist %{buildroot}%{roundcube_conf}/password.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/password/tests
pushd %{buildroot}%{roundcube_plugins}/password/
ln -s ../../../../..%{roundcube_conf}/password.inc.php config.inc.php
popd

# clean up the buildroot
rm -f %{buildroot}%{roundcube}/{CHANGELOG,INSTALL,LICENSE,README.md,UPGRADING}
rm -f %{buildroot}%{roundcube}/composer.json-dist

#
# Exclude the following external libraries
#
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_idna2
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_ldap2
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_smtp
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_socket
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_sieve
rm -rf %{buildroot}/%{roundcube}/vendor/pear/pear-core-minimal
rm -rf %{buildroot}/%{roundcube}/vendor/pear/mail_mime
rm -rf %{buildroot}/%{roundcube}/vendor/pear/auth_sasl
rm -rf %{buildroot}/%{roundcube}/vendor/pear/console_commandline

%pre
# needed if you have kolab installed
if [ -f "/etc/roundcubemail/kolab.inc.php" ]; then
    mv /etc/roundcubemail/kolab.inc.php /etc/roundcubemail/libkolab.inc.php
fi

if [ -L %{roundcube_plugins}/enigma/home -a ! -d %{roundcube_plugins}/enigma/home ]; then
    rm -rf %{roundcube_plugins}/enigma/home >/dev/null 2>&1 || :
fi

%post
if [ "$1" = 1 ]; then
    # replace default des string in config file for better security
    chars=(0 1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q r s t u v w x y z A
    B C D E F G H I J K L M N O P Q R S T U V W X Y Z)

    max=${#chars[*]}

    for i in `seq 1 24`; do
        let rand=${RANDOM}%%${max}
        key="${key}${chars[$rand]}"
    done

    sed -i \
        -e "s/\$config\['des_key'\] = '[^']\+';/\$config['des_key'] = '$key';/" \
        -e "/YOUR KEY MUST BE DIFFERENT/d" \
        /etc/roundcubemail/config.inc.php || : &> /dev/null
fi

%files
%doc INSTALL LICENSE README.md SQL UPGRADING
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0755,apache,apache)%{_logdir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
# Lets write out them specifically, so we can see when additional files are added (or deleted)
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/acl.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/defaults.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/config.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/enigma.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/managesieve.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/mimetypes.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/password.inc.php
%config(noreplace) %{_webappconfdir}/%{name}.conf
%attr(0755,apache,apache) %dir %{_localstatedir}/lib/roundcubemail
%attr(0750,apache,apache) %dir %{_localstatedir}/lib/roundcubemail/plugins
%attr(0750,apache,apache) %dir %{_localstatedir}/lib/roundcubemail/plugins/enigma



%changelog
* Mon Aug 05 2024 mokraemer <mokraemer> 1:1.6.8-1.mga10
+ Revision: 2083676
- new version 1.6.8

* Mon May 20 2024 mokraemer <mokraemer> 1:1.6.7-1.mga10
+ Revision: 2065169
- new version 1.6.7

* Sun Jan 21 2024 mokraemer <mokraemer> 1:1.6.6-1.mga10
+ Revision: 2033212
- new version 1.6.6

* Sun Nov 05 2023 mokraemer <mokraemer> 1:1.6.5-1.mga10
+ Revision: 2004409
- new version 1.6.5

* Tue Oct 17 2023 mokraemer <mokraemer> 1:1.6.4-1.mga10
+ Revision: 1998335
- new release 1.6.4

* Fri Sep 15 2023 mokraemer <mokraemer> 1:1.6.3-1.mga10
+ Revision: 1986824
- new version 1.6.3
- new version 1.6.2

* Wed Jan 25 2023 mokraemer <mokraemer> 1:1.6.1-1.mga9
+ Revision: 1936017
- new version 1.6.1

* Fri Aug 05 2022 mokraemer <mokraemer> 1:1.6.0-1.mga9
+ Revision: 1875327
- new version 1.6.0

* Mon Jun 27 2022 mokraemer <mokraemer> 1:1.5.3-1.mga9
+ Revision: 1866433
- new version 1.5.3

* Wed Apr 20 2022 mokraemer <mokraemer> 1:1.5.2-4.mga9
+ Revision: 1852070
- remove old dep

* Mon Mar 21 2022 umeabot <umeabot> 1:1.5.2-3.mga9
+ Revision: 1815941
- Mageia 9 Mass Rebuild
+ mokraemer <mokraemer>
- comment added

* Wed Jan 12 2022 mokraemer <mokraemer> 1:1.5.2-2.mga9
+ Revision: 1768187
- remove dep for optional driver

* Wed Jan 12 2022 mokraemer <mokraemer> 1:1.5.2-1.mga9
+ Revision: 1768078
- new version 1.5.2

* Sun Oct 24 2021 mokraemer <mokraemer> 1:1.5.0-1.mga9
+ Revision: 1752807
- fix build error
- fix build error
- new version 1.5.0

* Sun Feb 21 2021 mokraemer <mokraemer> 1:1.4.11-1.mga8
+ Revision: 1675628
- new version 1.4.11

* Mon Dec 28 2020 mokraemer <mokraemer> 1:1.4.10-1.mga8
+ Revision: 1664399
- new version 1.4.10

* Tue Sep 29 2020 mokraemer <mokraemer> 1:1.4.9-1.mga8
+ Revision: 1631105
- new version 1.4.9

* Mon Aug 10 2020 mokraemer <mokraemer> 1:1.4.8-1.mga8
+ Revision: 1613166
- new version 1.4.8

* Wed Jul 22 2020 mokraemer <mokraemer> 1:1.4.7-2.mga8
+ Revision: 1607856
- resolve mod_php conflict

* Mon Jul 06 2020 mokraemer <mokraemer> 1:1.4.7-1.mga8
+ Revision: 1602544
- new version 1.4.7

* Mon Jun 22 2020 mokraemer <mokraemer> 1:1.4.6-1.mga8
+ Revision: 1598434
- new version 1.4.6

* Wed Jun 03 2020 mokraemer <mokraemer> 1:1.4.5-1.mga8
+ Revision: 1589782
- new version 1.4.5
- new version 1.4.5
- new version 1.4.5

* Mon May 04 2020 mokraemer <mokraemer> 1:1.4.4-1.mga8
+ Revision: 1580050
- new version 1.4.4

* Sun Feb 23 2020 mokraemer <mokraemer> 1:1.4.3-1.mga8
+ Revision: 1549603
- new version 1.4.3

* Wed Feb 19 2020 umeabot <umeabot> 1:1.4.2-2.mga8
+ Revision: 1543062
- Mageia 8 Mass Rebuild

* Mon Jan 13 2020 mokraemer <mokraemer> 1:1.4.2-1.mga8
+ Revision: 1477790
- new version 1.4.2

* Fri Dec 27 2019 mokraemer <mokraemer> 1:1.4.1-1.mga8
+ Revision: 1473899
- disable py-bytecompiler
- fix py2 code
- update to version 1.4.1

* Wed Jan 16 2019 mokraemer <mokraemer> 1:1.3.8-2.mga7
+ Revision: 1357396
- mga#24138

* Thu Nov 15 2018 mrambo3501 <mrambo3501> 1:1.3.8-1.mga7
+ Revision: 1330036
- version 1.3.8 fixes a reported XSS vulnerability (mga#23826)

* Fri Sep 21 2018 umeabot <umeabot> 1:1.3.6-3.mga7
+ Revision: 1290772
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 guillomovitch <guillomovitch> 1:1.3.6-2.mga7
+ Revision: 1242835
- use complete upstream tarball, shipping all needed javascript files
- do not ship .htaccess files, as per web application policy
- make writable directory apache-owned, as other packages web applications
- drop third-party libraries available correctly
- replace default session key in correct config file, at installation time only

* Sat Apr 28 2018 mrambo3501 <mrambo3501> 1:1.3.6-1.mga7
+ Revision: 1223130
- version 1.3.6 fixes CVE-2018-9846
- readd Patch1 mistakenly dropped in 1176775

* Fri Nov 10 2017 mrambo3501 <mrambo3501> 1:1.3.3-1.mga7
+ Revision: 1176775
- version 1.3.3 fixes CVE-2017-16651
- removed Patch0 which no longer applies
- removed Patch1 applied upstream
- removed test for bbcode which no longer applies

* Fri May 05 2017 luigiwalser <luigiwalser> 1:1.2.5-1.mga6
+ Revision: 1099187
- 1.2.5

* Sat Mar 18 2017 luigiwalser <luigiwalser> 1:1.2.4-1.mga6
+ Revision: 1093486
- 1.2.4

* Thu Dec 08 2016 luigiwalser <luigiwalser> 1:1.2.3-1.mga6
+ Revision: 1073249
- 1.2.3
- rediff patch1

* Wed Oct 26 2016 luigiwalser <luigiwalser> 1:1.2.2-1.mga6
+ Revision: 1063590
- 1.2.2
- update no_swf patch from fedora

* Mon May 23 2016 spuhler <spuhler> 1:1.2.0-1.mga6
+ Revision: 1018082
- upgrade to version 1.2.0 (stable)

* Thu Apr 28 2016 spuhler <spuhler> 1:1.2.0-0.2RC.2.mga6
+ Revision: 1007429
- fixed the apc.ini vs. apcu.ini in the %%post section

* Sat Apr 23 2016 spuhler <spuhler> 1:1.2.0-0.2RC.1.mga6
+ Revision: 1005697
- bump rel. so it would build
- upgrade to RC

* Fri Feb 05 2016 oden <oden> 1:1.2.0-0.1beta.2.mga6
+ Revision: 937836
- fix CVE-2015-8770
- drop BR php-pear-Mail_mimeDecode, fixed since 1.0.7/1.1.3

* Wed Nov 25 2015 spuhler <spuhler> 1:1.2.0-0.1beta.1.mga6
+ Revision: 906038
- change beta to 1beta to make the rel higher than git
-  addong the "0" to the version
- upgrade to vers. 1.2 beta

* Thu Nov 19 2015 spuhler <spuhler> 1:1.2.0-0.git20151117.1.mga6
+ Revision: 904284
- added Provides
  * rediffed no_swf patch
- added ticket-466-changes.patch
- added default-configuration.patch
- update to git20151117
  * added/updated patches from upstream

* Thu Oct 15 2015 spuhler <spuhler> 1:1.2.0-0.git20151015.1.mga6
+ Revision: 891913
- update to vers. 1.2.0.git20151015

* Sun Sep 13 2015 spuhler <spuhler> 1:1.2.0-0.git20150912.1.mga6
+ Revision: 878869
- upgrade to 1.2.0.git20150912

* Wed Jul 08 2015 guillomovitch <guillomovitch> 1:1.1.2-2.mga6
+ Revision: 852846
- drop uneeded hard dependency on iRony

* Wed Jun 24 2015 spuhler <spuhler> 1:1.1.2-1.mga6
+ Revision: 842514
- upgrade to vers. 1.1.2

* Fri Feb 20 2015 spuhler <spuhler> 1:1.0.5-4.mga5
+ Revision: 816106
- fixed to %%posts script (deleted ".service")

* Wed Feb 18 2015 spuhler <spuhler> 1:1.0.5-3.mga5
+ Revision: 815704
- defined the unexpanded macro "php_inidir"
- changed apc.ini to apcu.ini
  * we replaced php-apc with -php-acpu

* Mon Feb 02 2015 spuhler <spuhler> 1:1.0.5-2.mga5
+ Revision: 813079
- remvoved %%version from post script /usr/share/doc/roundcubemail-%%{version}/SQL
  * the dir is named /doc/roundcubemail/SQL

* Sun Jan 25 2015 spuhler <spuhler> 1:1.0.5-1.mga5
+ Revision: 812186
- upgrade to ver. 1.0.5
  * fixes recently reported (upstream) Cross-Site-Scripting vulnerability

* Wed Jan 07 2015 spuhler <spuhler> 1:1.0.4-3.mga5
+ Revision: 809201
- removed Conflicts: php-apc
 * the bug has been resolved by replacing php-apc

* Tue Jan 06 2015 luigiwalser <luigiwalser> 1:1.0.4-2.mga5
+ Revision: 808844
- drop precompiled flash
- patch tinymce to cope with missing Flash binary (from fedora)
- drop tinymce bundled bbcode plugin to fix CVE-2012-4230

* Mon Dec 29 2014 spuhler <spuhler> 1:1.0.4-1.mga5
+ Revision: 807078
- upgrade to ver. 1.0.4
  * Fix possible CSRF attacks to some address book operations as well as to the ACL and Managesieve plugins.
- added Conflicts: php-apc
  * prevents server from segfault

* Tue Oct 28 2014 spuhler <spuhler> 1:1.0.3-1.mga5
+ Revision: 793993
- upgrade to ver. 1.0.3
  * fixes a lot of bugs

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.2-5.mga5
+ Revision: 749880
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1:1.0.2-4.mga5
+ Revision: 734250
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 1:1.0.2-3.mga5
+ Revision: 725228
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.2-2.mga5
+ Revision: 688696
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/

* Thu Jul 31 2014 spuhler <spuhler> 1:1.0.2-1.mga5
+ Revision: 658386
- upgrade to vers. 1.0.2

* Thu Jul 17 2014 spuhler <spuhler> 1:1.0.1-2.mga5
+ Revision: 653346
- changed permissions on the logdir and libdir, otherwise apache is unable to write the logs and some config files

* Sat Jun 07 2014 spuhler <spuhler> 1:1.0.1-1.mga5
+ Revision: 634473
- upgrade to ver. 1.0.1

* Fri Apr 11 2014 spuhler <spuhler> 1:1.0.0-0.5.mga5
+ Revision: 613391
- added more exceptions

* Thu Apr 10 2014 spuhler <spuhler> 1:1.0.0-0.4.mga5
+ Revision: 613341
+ rebuild (emptylog)

* Thu Apr 10 2014 spuhler <spuhler> 1:1.0.0-0.3.mga5
+ Revision: 613278
- added _requires-exceptions (for automatic requires)
  * the requires is in a installed pacakge, but it cannot find it
+ oden <oden>
- typo fix

* Thu Apr 10 2014 spuhler <spuhler> 1:1.0.0-0.2.mga5
+ Revision: 613159
- put the Epoch back in, otherwise it will not upgrade

* Wed Apr 09 2014 spuhler <spuhler> 1.0.0-0.1.mga5
+ Revision: 613108
- README.mageia added to docs
- upgrade to ver. 1.0.0
- adjusted structure of spec file
- added logrotate file
- moved the config from the spec file into roundcubemail.conf file

* Mon Oct 28 2013 oden <oden> 1:0.9.5-1.mga4
+ Revision: 547609
- make it backportable
+ guillomovitch <guillomovitch>
- new version

* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.4-2.mga4
+ Revision: 534212
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 dams <dams> 1:0.9.4-1.mga4
+ Revision: 476525
- new version 0.9.4

* Thu Aug 29 2013 dams <dams> 1:0.9.3-2.mga4
+ Revision: 472986
- Adds back INSTALL file mga #9916)

* Fri Aug 23 2013 oden <oden> 1:0.9.3-1.mga4
+ Revision: 470242
- 0.9.3

* Tue Jun 18 2013 oden <oden> 1:0.9.2-1.mga4
+ Revision: 444666
- 0.9.2

* Wed Apr 17 2013 kharec <kharec> 1:0.9.0-1.mga3
+ Revision: 410239
- update to 0.9.0 to close #9768

* Tue Apr 02 2013 dams <dams> 1:0.8.6-1.mga3
+ Revision: 407314
- new version 0.8.6

* Wed Mar 13 2013 spuhler <spuhler> 1:0.8.5-3.mga3
+ Revision: 402221
- corrected spelling of Requires: php-pdo_mysql from php-pdo-mysql

* Wed Mar 13 2013 spuhler <spuhler> 1:0.8.5-2.mga3
+ Revision: 402216
- added Requires: php-pdo-mysql

* Mon Feb 11 2013 dams <dams> 1:0.8.5-1.mga3
+ Revision: 397860
- new version 0.8.5 (CVE-2012-6121)

* Sun Feb 03 2013 spuhler <spuhler> 1:0.8.4-5.mga3
+ Revision: 394179
- corrected the log permission

* Sat Feb 02 2013 spuhler <spuhler> 1:0.8.4-4.mga3
+ Revision: 394143
- changed %%{_logdir}/%%{name} to
  attr(640,root,apache)%%{_logdir}/%%{name}

* Sat Feb 02 2013 spuhler <spuhler> 1:0.8.4-3.mga3
+ Revision: 394137
- converted the Directory section from
  Order deny,allow
  Deny from all
  to
  AllowOverride All
  Require all granted

* Mon Jan 14 2013 umeabot <umeabot> 1:0.8.4-2.mga3
+ Revision: 380417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 dams <dams> 1:0.8.4-1.mga3
+ Revision: 318208
- new version 0.8.4

* Sun Nov 11 2012 dams <dams> 1:0.8.3-1.mga3
+ Revision: 317048
- new version 0.8.3

* Mon Oct 08 2012 dams <dams> 1:0.8.2-1.mga3
+ Revision: 303592
- new version 0.8.2

* Sun Sep 09 2012 dams <dams> 1:0.8.1-1.mga3
+ Revision: 291171
- new version 0.8.1
- add a patch from fedora to fix php settings
- clean and update specfile

* Thu Apr 05 2012 dams <dams> 1:0.7.2-1.mga2
+ Revision: 228642
- new version 0.7.2

* Thu Apr 05 2012 dams <dams> 1:0.7.1-2.mga2
+ Revision: 228591
- remove 'php-pspell' as a require
+ guillomovitch <guillomovitch>
- no need to advertise distribution-specific documentation in package description

* Mon Jan 09 2012 dams <dams> 1:0.7.1-1.mga2
+ Revision: 194074
- new version 0.7.1

* Thu Dec 29 2011 guillomovitch <guillomovitch> 1:0.7-3.mga2
+ Revision: 188742
- ensure db configuration file is not world-readable
- don't ship useless file under configuration directory
- use herein document for README.urpmi
- fix some typos in README.urpmi

* Thu Dec 29 2011 dams <dams> 1:0.7-2.mga2
+ Revision: 188735
- Update README.urpmi to warn about 'upgrade' of the database (bug #3862)

* Tue Dec 20 2011 dams <dams> 1:0.7-1.mga2
+ Revision: 184800
- new version 0.7

* Tue Oct 04 2011 dams <dams> 1:0.6-1.mga2
+ Revision: 151509
- update to 0.6

* Wed Sep 14 2011 tv <tv> 1:0.5.4-1.mga2
+ Revision: 143232
- new release
+ dams <dams>
- Remove link to Mandriva Wiki
- Clean spec file
- imported package roundcubemail

